[Risolto] yaourt target not found

Domande inerenti al gestore dei pacchetti di Arch Linux
Rispondi
tosto
Newbie
Messaggi: 8
Iscritto il: 23 ottobre 2015, 11:58

[Risolto] yaourt target not found

Messaggio da tosto » 29 febbraio 2016, 13:50

Ciao a tutti!
Spero di aver beccato la sezione giusta...
Da oggi, dopo aver aggiornato il sistema (pacman -Syu) non riesco più ad installare nessun pacchetto da AUR con yaourt, qualsiasi pacchetto provi ad installare (yaourt -S <nome-pacchetto> mi da errore -> error: target not found: <nome-pacchetto>
e se provo a scrivere yaourt <nome-parziale> che generalmente dovrebbe listare tutti i pacchetti che contengono la stringa mi lista solo quelli nei repo ufficiali e niente dall'AUR...

qualche idea?
grazie in anticipo.
Tommaso
Ultima modifica di tosto il 29 febbraio 2016, 15:36, modificato 1 volta in totale.

Avatar utente
4javier
Moderatore
Messaggi: 9541
Iscritto il: 5 ottobre 2008, 17:19
Architettura: x86_64 (64bit)

Re: yaourt target not found

Messaggio da 4javier » 29 febbraio 2016, 14:04

Posta i pacchetti che hai aggiornato.
Offertissima: Mi Vendo!!! Cercasi lavoro o corso di formazione finanziato in tutta italia da Roma in su, oppure in provincia di Catanzaro.
In particolare sono interessato ad opportunità su Roma.

tosto
Newbie
Messaggi: 8
Iscritto il: 23 ottobre 2015, 11:58

Re: yaourt target not found

Messaggio da tosto » 29 febbraio 2016, 15:12

Dal pacman.log

Codice: Seleziona tutto

[2016-02-29 09:22] [PACMAN] Running 'pacman -Syu'
[2016-02-29 09:22] [PACMAN] synchronizing package lists
[2016-02-29 09:22] [PACMAN] starting full system upgrade
[2016-02-29 09:25] [ALPM] transaction started
[2016-02-29 09:25] [ALPM] upgraded alsa-plugins (1.1.0-1 -> 1.1.0-2)
[2016-02-29 09:25] [ALPM] upgraded binutils (2.26-1 -> 2.26-2)
[2016-02-29 09:25] [ALPM] upgraded findutils (4.4.2-6 -> 4.6.0-1)
[2016-02-29 09:25] [ALPM] upgraded ca-certificates-mozilla (3.22-1 -> 3.22.1-1)
[2016-02-29 09:25] [ALPM] upgraded glib2 (2.46.2-2 -> 2.46.2-4)
[2016-02-29 09:25] [ALPM] upgraded harfbuzz (1.2.1-1 -> 1.2.3-1)
[2016-02-29 09:25] [ALPM] upgraded python2-packaging (16.4-1 -> 16.5-1)
[2016-02-29 09:25] [ALPM] upgraded python2-setuptools (1:20.1.1-1 -> 1:20.2.2-1)
[2016-02-29 09:25] [ALPM] upgraded calibre (2.51.0-1 -> 2.52.0-1)
[2016-02-29 09:25] [ALPM] upgraded libass (0.13.1-1 -> 0.13.2-1)
[2016-02-29 09:25] [ALPM] upgraded libpulse (8.0-2 -> 8.0-3)
[2016-02-29 09:25] [ALPM] upgraded libx264 (2:148.20150725-1 -> 2:148.20160103-1)
[2016-02-29 09:25] [ALPM] upgraded ffmpeg (1:2.8.6-2 -> 1:3.0-1)
[2016-02-29 09:25] [ALPM] upgraded chromaprint (1.3-1 -> 1.3.1-1)
[2016-02-29 09:25] [ALPM] upgraded nspr (4.11-1 -> 4.12-1)
[2016-02-29 09:25] [ALPM] upgraded nss (3.22-1 -> 3.22.1-1)
[2016-02-29 09:25] [ALPM] upgraded harfbuzz-icu (1.2.1-1 -> 1.2.3-1)
[2016-02-29 09:26] [ALPM] upgraded eclipse-common (4.5.1-1 -> 4.5.2-1)
[2016-02-29 09:26] [ALPM] upgraded eclipse-java (4.5.1-1 -> 4.5.2-1)
[2016-02-29 09:26] [ALPM] upgraded ffmpegthumbnailer (2.1.0-1 -> 2.1.1-1)
[2016-02-29 09:26] [ALPM] installed ffmpeg2.8 (2.8.6-1)
[2016-02-29 09:26] [ALPM] upgraded firefox (44.0.2-1 -> 44.0.2-2)
[2016-02-29 09:26] [ALPM] upgraded freerdp (1:1.2.0_20160107-2 -> 1:1.2.0_20160107-5)
[2016-02-29 09:26] [ALPM] upgraded gegl (0.3.4-4 -> 0.3.4-5)
[2016-02-29 09:26] [ALPM] upgraded gegl02 (0.2.0-2 -> 0.2.0-3)
[2016-02-29 09:26] [ALPM] upgraded gettext (0.19.6-2 -> 0.19.7-1)
[2016-02-29 09:26] [ALPM] upgraded git (2.7.1-1 -> 2.7.2-1)
[2016-02-29 09:26] [ALPM] upgraded libsrtp (15.1c9bd90-3 -> 1:1.5.4-1)
[2016-02-29 09:26] [ALPM] upgraded gst-plugins-bad (1.6.3-3 -> 1.6.3-5)
[2016-02-29 09:26] [ALPM] upgraded lib32-harfbuzz (1.1.3-1 -> 1.2.3-1)
[2016-02-29 09:26] [ALPM] upgraded libmatio (1.5.2-4 -> 1.5.6-1)
[2016-02-29 09:26] [ALPM] upgraded libwbclient (4.3.4-2 -> 4.3.5-1)
[2016-02-29 09:26] [ALPM] upgraded mdadm (3.3.4-1 -> 3.4-1)
[2016-02-29 09:26] [ALPM] upgraded openal (1.17.2-1 -> 1.17.2-2)
[2016-02-29 09:26] [ALPM] upgraded xine-lib (1.2.6-7 -> 1.2.6-8)
[2016-02-29 09:26] [ALPM] upgraded openscenegraph (3.4.0-1 -> 3.4.0-2)
[2016-02-29 09:26] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2016-02-29 09:26] [ALPM] upgraded pacman-mirrorlist (20160208-2 -> 20160227-1)
[2016-02-29 09:26] [ALPM] upgraded pacman (5.0.0-1 -> 5.0.1-2)
[2016-02-29 09:26] [ALPM] upgraded pandoc (1.16.0.2-20 -> 1.16.0.2-21)
[2016-02-29 09:26] [ALPM] upgraded pulseaudio (8.0-2 -> 8.0-3)
[2016-02-29 09:26] [ALPM-SCRIPTLET] Created symlink /etc/systemd/user/sockets.target.wants/pulseaudio.socket, pointing to /usr/lib/systemd/user/pulseaudio.socket.
[2016-02-29 09:26] [ALPM] upgraded pulseaudio-gconf (8.0-2 -> 8.0-3)
[2016-02-29 09:26] [ALPM] upgraded python-packaging (16.4-1 -> 16.5-1)
[2016-02-29 09:26] [ALPM] upgraded python-setuptools (1:20.1.1-1 -> 1:20.2.2-1)
[2016-02-29 09:26] [ALPM] upgraded run-parts (4.5.1-1 -> 4.7-1)
[2016-02-29 09:26] [ALPM] upgraded smbclient (4.3.4-2 -> 4.3.5-1)
[2016-02-29 09:26] [ALPM] upgraded samba (4.3.4-2 -> 4.3.5-1)
[2016-02-29 09:26] [ALPM] upgraded vlc (2.2.2-1 -> 2.2.2-2)
[2016-02-29 09:26] [ALPM] transaction completed
può essere colpa dell'aggiornamento di pacman?

Avatar utente
4javier
Moderatore
Messaggi: 9541
Iscritto il: 5 ottobre 2008, 17:19
Architettura: x86_64 (64bit)

Re: yaourt target not found

Messaggio da 4javier » 29 febbraio 2016, 15:19

Si, prova a ricompilare yaourt.
Offertissima: Mi Vendo!!! Cercasi lavoro o corso di formazione finanziato in tutta italia da Roma in su, oppure in provincia di Catanzaro.
In particolare sono interessato ad opportunità su Roma.

tosto
Newbie
Messaggi: 8
Iscritto il: 23 ottobre 2015, 11:58

Re: yaourt target not found

Messaggio da tosto » 29 febbraio 2016, 15:21

già fatto, disinstallato, clonato dall'AUR ricompilato e nessun cambiamento


Risolto sostituendo package-query-git a package-query

Avatar utente
4javier
Moderatore
Messaggi: 9541
Iscritto il: 5 ottobre 2008, 17:19
Architettura: x86_64 (64bit)

Re: yaourt target not found

Messaggio da 4javier » 29 febbraio 2016, 15:39

Installa temporaneamente package-query-git da AUR, in attessa che package-query venga aggiornato per aderire alle nuove api di pacman 5.

EDIT
Anticipato.
Offertissima: Mi Vendo!!! Cercasi lavoro o corso di formazione finanziato in tutta italia da Roma in su, oppure in provincia di Catanzaro.
In particolare sono interessato ad opportunità su Roma.

tosto
Newbie
Messaggi: 8
Iscritto il: 23 ottobre 2015, 11:58

Re: [Risolto] yaourt target not found

Messaggio da tosto » 29 febbraio 2016, 15:44

Ahaha! Perfetto! Problema risolto!
Grazie!

Tommaso

Rispondi